@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

body {
	font-family: 'Inter', sans-serif;
}

.iframe-box {
	position: relative;
}

.config-box {
	padding-bottom: 150px;
	min-height: min-content;
}

.shareBtn-box {
	padding-bottom: 50px;
}

.loaderLogo {
	max-width: 140px;
	position: absolute;
	top: 46%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 99999999;
}

/*loader*/

.loaderDiv {
	position: relative;
	margin: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	background-color: #f0f0f0;
}

.loading {
	width: 0px;
	height: 0px;
	border: 2px solid #000;
	border-top: 2px solid #fff;
	border-radius: 50%;
	animation: spin 1.5s linear infinite;
	position: absolute;
	top: calc(50% - 80px);
	left: calc(50% - 18px);
	transform: translate(-50%, -50%);
	z-index: 2;
}

.progress-bar {
	position: absolute;
	top: calc(50% - 10px);
	left: 50%;
	transform: translateX(-50%);
	width: 200px;
	background-color: #ccc;
	height: 20px;
	border-radius: 5px;
	z-index: 1;
}

.progress {
	height: 100%;
	width: 0;
	background-color: #0F3C51;
	border-radius: 5px;
	transition: width 0.3s ease;
}

.percentage {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: #fff;
}



/* .loading {
	width: 40px;
	height: 40px;
	
	border: 2px solid #000;
	border-top: 2px solid #fff;
	border-radius: 50%;
	animation: spin 1.5s linear infinite;
	
	position: absolute;
	top: calc(50% - 80px);
	left: calc(50% - 18px);
	transform: translate(-50%, -50%);
	z-index: 99999999;
	
} */
/* @keyframes spin {
0% {
	transform: rotate(0deg);
}

100% {
	transform: rotate(360deg);
}
} */

/*loader*/

.priceDiv {
	display: none;
	position: absolute;
	bottom: 25px;
	font-size: 26px;
	right: 100px;
}

.iframe-box img {
	position: absolute;
	right: 30px;
	bottom: 30px;
	cursor: pointer;
}

#exit_screen_icon {
	display: none;
}

li {
	list-style: none;
}


ul,
ol {
	padding-left: 0;
}

p {
	margin-bottom: 0;
}

.main-parent {
	height: 100vh;
	display: grid;
	grid-template-columns: auto 500px;
	overflow: hidden;
	transition: 1s ease-in-out;
	display: none;
}

.config-box {
	background-color: #f2f2f2;
	padding: 20px;
	overflow-x: hidden;
	overflow-y: scroll;
}

.main-hdng-p {
	padding-bottom: 20px;
	font-size: 15px;
}

.mainSub-hdng {
	border-bottom: 1px solid #2a79af;
	width: fit-content;
}

.firstSelect-hdng {}

.subSecond-hdng {
	border-bottom: 1px solid #2a79af;
	width: fit-content;
}

.accordion-item {
	margin-bottom: 10px;
	border: none;
}

.accordion-button:not(.collapsed) {
	color: #2c2c2c;
	background-color: #fff;
	text-decoration: underline;
}

.accordion-button {
	color: #222;
	font-size: 19px;
	font-weight: 600;
}

.main-hdng {
	margin: 10px 0 10px 0;
	font-size: 18px;
	font-weight: 600;
}

.accordion-body {
	background-color: #fff;
	padding: 15px;
	padding-bottom: 40px;
}

.accordion-button:focus {
	box-shadow: none;
	border: none;
}

/* .accordion-button:not(.collapsed)::after {
	background-image: url("images/down.png") !important;
}

.accordion-button::after {
	background-image: url("images/down.png") !important;
} */

.form-label {
	font-size: 16px;
	margin-bottom: 4px;
	color: #000 !important;
	font-weight: 500;
	margin-top: 15px !important;
}

.form-switch {
	font-size: 20px;
}

.form-control {
	border: 1px solid #f2f2f2;
	border-radius: 5px;
	background-color: #f2f2f2;
	padding: 10px 15px;
}

.form-control:focus {
	border-color: #222;
	box-shadow: none;
}

.select {
	position: relative;
	min-width: 100%;
	margin-bottom: 20px;

}

.select svg {
	position: absolute;
	right: 12px;
	top: calc(50% - 3px);
	width: 16px;
	height: 10px;
	stroke-width: 1px;
	stroke: #9098a9;
	fill: none;
	stroke-linecap: round;
	stroke-linejoin: round;
	pointer-events: none;
}

.select select {
	-webkit-appearance: none;
	padding: 7px 40px 7px 12px;
	width: 100%;
	border: 1px solid lightgray;
	border-radius: 2px;
	background: white;
	cursor: pointer;
	font-family: inherit;
	font-size: 1rem;
	transition: all 150ms ease;
	color: #000 !important;
}

.select select:required:invalid {
	color: #000;
}

.select select option {
	color: #000;
}

.select select option[value=""][disabled] {
	display: none;
}

.select select:focus {
	outline: none;
	border-color: lightgray;
}

.select select:hover+svg {
	stroke: #07f;
}

.sprites {
	position: absolute;
	width: 0;
	height: 0;
	pointer-events: none;
	user-select: none;
}

table {
	font-family: arial, sans-serif;
	border-collapse: collapse;
	width: 100%;
}

th {
	border-bottom: 1px solid #7cd1ff;
	text-align: left;
	padding: 8px;
}

td {
	text-align: left;
	padding: 8px;
}

.radioContainer {
	display: block;
	position: relative;
	padding-left: 35px;
	margin-top: -8px;
	margin-bottom: 12px;
	cursor: pointer;
	font-size: 22px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.radioContainer input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
}

.checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 22px;
	width: 22px;
	/* background-color: #eee; */
	border: 2px solid #a6a6a6;
	border-radius: 50%;
}

.radioContainer:hover input~.checkmark {
	background-color: #ccc;
}

.radioContainer input:checked~.checkmark {
	background-color: #2196f3;
	border-color: #2196f3;
}

.checkmark:after {
	content: "";
	position: absolute;
	display: none;
}

.radioContainer input:checked~.checkmark:after {
	display: block;
}

.radioContainer .checkmark:after {
	top: 4px;
	left: 4px;
	width: 10px;
	height: 10px;
	border-radius: 50%;
	background: white;
}


/*  ===========   Media Queries For Responsive  ========== */

/* Wide Screen */

@media only screen and (min-device-width: 1101px) and (max-device-width: 1400px) {
	.main-parent {
		grid-template-columns: auto 500px;
	}

	.accordion-body {
		padding: 10px;
	}

	th {
		padding: 5px;
	}
}

/* Mobile - Laptop */

@media only screen and (min-device-width: 300px) and (max-device-width: 1100px) {
	body {
		overflow-y: hidden;
	}

	.main-parent {
		grid-template-columns: 100%;
	}

	.iframe-box {
		height: 40vh;
	}

	.config-box {
		padding: 20px;
		height: 60vh;
		overflow-y: scroll;
		background-attachment: local;
		padding-bottom: 50px;
	}

	.main-hdng {
		font-size: 20px;
	}

	.accordion-button,
	.form-label,
	.share-btn,
	.form-switch {
		font-size: 16px;
	}

	.accordion-body {
		padding: 10px;
	}

	.select select {
		padding: 6px 40px 6px 12px;
		border: 2px solid lightgray;
		font-size: 14px;
	}
}

/* Hide the default number input arrows */

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Hide the arrows in Firefox */

input[type="number"] {
	-moz-appearance: textfield;
}

@media (min-width: 992px) {
	.modal-dialog {
		max-width: 850px;
	}

	#exampleModal .form-label {
		font-size: 16px;
	}
}

.hide {
	display: none;
}

.switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 30px;
}

.switch input {
	display: none;
}

.slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #cacaca;
	-webkit-transition: 0.4s;
	transition: 0.4s;
	border-radius: 30px;
}

.slider:before {
	position: absolute;
	content: "";
	height: 20px;
	width: 23px;
	left: 4px;
	bottom: 5px;
	background-color: white;
	-webkit-transition: 0.4s;
	transition: 0.4s;
	border-radius: 30px;
}

input:checked+.slider {
	background-color: green;
}

input:checked+.slider:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}

.line-radio {
	display: flex;
	justify-content: flex-start;
	margin-bottom: 10px;

	font-size: 15px;
}


.radio-name {
	cursor: context-menu;
	margin-left: 10px;

}

form#leadForm label {
	display: none;
}

h4 {
	font-size: 16px;
	font-weight: 600;
}

.modal-body {
	position: relative;
	flex: 1 1 auto;
	padding: 20px;
}

.modal-header h1 {
	font-weight: 700;
	font-size: 17px !important;
	padding: 0px 9px;
}